# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Defines

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp File Reference

`#include <vlGraphics/Shader.hpp>`
`#include <vlGraphics/GLSL.hpp>`
`#include <vlGraphics/Light.hpp>`
`#include <vlGraphics/ClipPlane.hpp>`
`#include <vlGraphics/OpenGLContext.hpp>`
`#include <vlCore/Log.hpp>`
`#include <vlCore/Say.hpp>`

Go to the source code of this file.

## Defines

#define | GET_OR_CREATE(RS)
#define | GET_OR_CREATE_IDX(RS, index)

## Define Documentation

#define GET_OR_CREATE | ( |  | RS ) |

Value:

    RS* rs = static_cast<RS*>( gocRenderStateSet()->renderState( RS_##RS ) ); \
      if ( rs == NULL ) \
      { \
        rs = new RS; \
        gocRenderStateSet()->setRenderState( rs, -1 ); \
      } \
      return rs;

Definition at line 71 of file Shader.cpp.

Referenced by vl::Shader::gocAlphaFunc(), vl::Shader::gocBlendColor(), vl::Shader::gocBlendEquation(), vl::Shader::gocBlendFunc(), vl::Shader::gocColor(), vl::Shader::gocColorMask(), vl::Shader::gocCullFace(), vl::Shader::gocDepthFunc(), vl::Shader::gocDepthMask(), vl::Shader::gocDepthRange(), vl::Shader::gocFog(), vl::Shader::gocFrontFace(), vl::Shader::gocGLSLProgram(), vl::Shader::gocHint(), vl::Shader::gocLightModel(), vl::Shader::gocLineStipple(), vl::Shader::gocLineWidth(), vl::Shader::gocLogicOp(), vl::Shader::gocMaterial(), vl::Shader::gocNormal(), vl::Shader::gocPixelTransfer(), vl::Shader::gocPointParameter(), vl::Shader::gocPointSize(), vl::Shader::gocPolygonMode(), vl::Shader::gocPolygonOffset(), vl::Shader::gocPolygonStipple(), vl::Shader::gocSampleCoverage(), vl::Shader::gocSecondaryColor(), vl::Shader::gocShadeModel(), vl::Shader::gocStencilFunc(), vl::Shader::gocStencilMask(), and vl::Shader::gocStencilOp().

#define GET_OR_CREATE_IDX | ( |  | RS,
|  |  | index
| ) |  |

Value:

    RS* rs = static_cast<RS*>( gocRenderStateSet()->renderState( RS_##RS, index ) ); \
      if ( rs == NULL ) \
      { \
        rs = new RS; \
        gocRenderStateSet()->setRenderState( rs, index ); \
      } \
      return rs;

Definition at line 80 of file Shader.cpp.

Referenced by vl::Shader::gocClipPlane(), vl::Shader::gocLight(), vl::Shader::gocTexEnv(), vl::Shader::gocTexGen(), vl::Shader::gocTextureMatrix(), vl::Shader::gocTextureSampler(), and vl::Shader::gocVertexAttrib().

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.